Subject: Re: Getting ntxlib to work with cygwin
From: [email-masked] (Steve o)

13 Nov 1997 18:53:59 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

[email-masked] wrote:

> One member of this mailing list suggested ntxlib as a possible basis for
> non X-server Xlib development.  I downloaded the last version of
> ntxlib.zip, several years old, dusted out its cobwebs, and got the
> following when I tried to compile the test program.

> TEST caused an invalid page fault in
> module <unknown> at 0000:00009924.
> Registers:

I had a similar experience.  I compiled up rxvt to use ntxlib, andcygwin
faulted.  Under gdb, I found that malloc was failing to
allocate a 4 byte chunk of memory.  So I wrapped up malloc
so that it rounded up the memory chunk sizes to multiples of 8.
No faults since.  Pretty bizarre. Any ideas from the cygwin gurus?

I'm running WinNT4SP3, PentiumII, and the latest cygwin.dll.

A snapshot of the rxvt port is here:  Win32 rxvt

-steve

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".